File debian.changelog of Package xmms2-devel

xmms2 (0.8.WiP.1.git) unstable; urgency=low

  * OpenSUSE Build Service.

 -- Daniel Svensson <dsvensson@gmail.com>  Wed, 16 May 2015 11:36:14 +0200

xmms2 (0.8+dfsg-12) unstable; urgency=medium

  * Do not build vistest (Closes: #768679)

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 09 Nov 2014 11:44:03 +0100

xmms2 (0.8+dfsg-11) unstable; urgency=low

  * Use a virtual package (xmms2-plugin-output) to allow not installing the
    alsa plugin (Closes: #499950).
  * Perl 5.20 transition: make libaudio-xmmsclient-perl.install an
    executable perl script (Closes: #752818)
  * Change build depend from libdiscid0-dev to libdiscid-dev (Closes: #753634).

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 04 Jul 2014 09:08:13 +0200

xmms2 (0.8+dfsg-10) unstable; urgency=low

  * Add a build dependency on libssl-dev  (Closes: #747709).
  * Acknowledge NMU. Thanks Reinhard.
  * compile against libav10 (Closes: #739455)

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 12 May 2014 06:57:32 +0200

xmms2 (0.8+dfsg-9.1) experimental; urgency=low

  * Non-maintainer upload.
  * Add libav10.patch and compile against libav10 (Closes: #739455)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 26 Mar 2014 20:14:32 -0400

xmms2 (0.8+dfsg-9) unstable; urgency=medium

  * Build for supported versions of Ruby.
    Thanks to Christian Hofstaedtler <zeha@debian.org> (Closes: #730719)
  * Drop transitional packages libxmmsclient0-ruby and libxmmsclient0-ruby1.8.
    (Closes: #735729)
  * Backport get rid of superfluous argument self to fix
    "medialib_import_path() got multiple values for keyword argument 'cb'"
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 18 Jan 2014 11:38:16 +0100

xmms2 (0.8+dfsg-8) unstable; urgency=low

  * Tell waf to use pkg-config to find smbclient.h, thanks to
    Cyril Brulebois (Closes: #726460).

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 16 Oct 2013 14:55:20 +0200

xmms2 (0.8+dfsg-7) unstable; urgency=low

  * include libmodplug/modplug.h (Closes: #724487)

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 25 Sep 2013 16:24:45 +0200

xmms2 (0.8+dfsg-6) unstable; urgency=low

  * Switch to debhelper 9 and enable hardening.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Use canonical URLs for Vcs fields.
  * Add patch to avoid hardening flag removal.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 21 Mar 2013 18:44:11 +0100

xmms2 (0.8+dfsg-5) unstable; urgency=low

  * Unbreak compilation against libav 9 by backporting three patches from
    upstream: fix-avcodec-init.patch, fix-alloc-context.patch and
    fix-missing-include.patch. Thanks to Reinhard Tartler. (Closes: #694347)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Nov 2012 01:17:41 +0100

xmms2 (0.8+dfsg-4) unstable; urgency=low

  * Using -j1 for waf on bsd
  * Rename ruby package, and change instalution path to follow new Ruby policy
  * Compile for both ruby1.8 and ruby1.9.1
  * Correct invocation of xmms2 in xmms2-mlib-updater man page, thanks
    to Juhapekka Tolvanen (Closes: #660373).
  * Bump Standards-Version to 3.9.3 (no changes required).

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 26 Jun 2012 10:39:31 +0200

xmms2 (0.8+dfsg-3) unstable; urgency=low

  * Explicit dependency on ruby1.8 thanks to Lucas Nussbaum (Closes:
    #676100).
  * Add myself as an uploader

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 18 Jun 2012 08:52:01 +0200

xmms2 (0.8+dfsg-2) unstable; urgency=low

  * Unpack waf binary (following http://wiki.debian.org/UnpackWaf)
    (Closes: #654512).
  * Remove transitional xmms2-plugin-wma package.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 07 Feb 2012 17:18:39 +0100

xmms2 (0.8+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Drop code name DrO_o from Debian version, because an underscore is not
      allowed in a Debian version.
    - Order items alphabetically in xmms2 manual page (Closes: #620665).
  * Drop backported patches and patches that are applied upstream.
  * Refresh remaining four patches.
  * Drop xmms2-client-vis, because its content is not meant for anything other
    than development reference.
  * Drop xmms2-et package, because it used only in the test phase.
  * Add new xmms2-plugin-sndfile package.
    - Add libsndfile1-dev as build dependency for it.
  * libxmmsclient6.symbols: Add new and remove five symbols that were only
    internal symbols.
  * Update watch file.
  * Replace Florian Ragwitz as maintainer. Thanks for your work.
  * Remove all inactive uploaders. Thanks to them for their previous work.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 22 Oct 2011 23:53:00 +0200

xmms2 (0.7DrNo+dfsg-3) unstable; urgency=low

  * Fix typo in short description. (Closes: #602579)
  * Update my email address.
  * Use linux-any instead of hardcoded list of non-Linux architectures.
    (Closes: #634622)
  * Fix avcodec plugin to work with libavcodec 0.7.1.
    Thanks to Colin Watson (Closes: #638552, LP: #832769)
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Update homepage field.
  * Switch from python-support to dh_python2.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 01 Sep 2011 16:16:57 +0200

xmms2 (0.7DrNo+dfsg-2) unstable; urgency=low

  * Add bp-glib-version-check.patch to make glib check sane. (Closes: #522280)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 02 Aug 2010 23:43:55 +0200

xmms2 (0.7DrNo+dfsg-1) unstable; urgency=low

  * Repack source to replace non-free mind.in.a.box snippet by DSFG-compliant
    one that was chosen by upstream; update debian/copyright. (Closes: #583309)
  * debian/watch: Mangle version to strip dfsg.
  * Bump Standards-Version to 3.9.1 (no changes required).
  * Refer to versioned common license file.
  * Use Breaks instead of Conflicts.
  * Do not build xmms2 in parallel by default. (Closes: #586835)
  * Backport patch to extend command-line length of nycli. (Closes: #580862)
    Thanks to Andrew McMillan
  * Explicitly choose the python version to run waf. (Closes: #583757)
    Thanks to Rémi Vanicat for the patch.
  * Change description of xmms2-plugin-smb from "Samba" to "Server Message
    Block (SMB)". (Closes: #574997)
  * Backport workaround for libavcodec initialization bug. (Closes: #588519)
  * Fix tta plugin to work with segment with startms. (Closes: #588519)
    Thanks to Yang Zhe <yangzhe1990@gmail.com> for the patch.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 31 Jul 2010 22:19:38 +0200

xmms2 (0.7DrNo-7) unstable; urgency=low

  * Use PulseAudio as default output plugin on Ubuntu and derived distributions.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 08 May 2010 15:44:19 +0200

xmms2 (0.7DrNo-6) unstable; urgency=high

  * Change architecture of xmms2 and xmms2-plugin-all from all to any to
    fix FTBFS (Closes: #580287).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 May 2010 10:48:30 +0200

xmms2 (0.7DrNo-5) unstable; urgency=low

  * Disable ALSA on hurd-i386 and use OSS instead.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 04 Apr 2010 18:53:06 +0200

xmms2 (0.7DrNo-4) unstable; urgency=low

  * Add remove-path_max.patch to replace PATH_MAX by XMMS_PATH_MAX to
    fix FTBFS on hurd-i386.
  * Add xmms2-hppa.patch to disable parallel build on hppa architecture;
    thanks to Jakub Wilk for the patch (Closes: #558983).
  * libxmmsclient++-dev must depend on libboost-dev.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 24 Mar 2010 00:46:21 +0100

xmms2 (0.7DrNo-3) unstable; urgency=low

  * Use convenience copy of waf instead of system one (Closes: #571713).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 27 Feb 2010 15:05:35 +0100

xmms2 (0.7DrNo-2) unstable; urgency=low

  * Add fix-cast-error.patch to fix implicitly conversion (Closes: #571539).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 26 Feb 2010 00:49:21 +0100

xmms2 (0.7DrNo-1) unstable; urgency=low

  * New upstream release.
    + Remove perl.patch and fix-upstream-bug-2307.patch.
    + Refresh remaining patches.
    + Build depend on libgme-dev for the gme plugin.
    + Rename library packages to reflect SONAME changes.
    + Drop boost dependency for libxmmsclient++-dev.
  * Use system waf to build xmms2.
  * Bump Standards-Version to 3.8.4 (no changes required).
  * Add trailing blank line to debian/NEWS.
  * Remove unused ${shlibs:Depends}.
  * Drop XS-Python-Version, debian/pycompat, and depend on
    python-support >= 0.90.
  * Add linker-flags.patch: Do not link against unused libraries (make
    dpkg-shlibdeps happy).
  * Convert debian/rules to use dh.
  * xmms2 recommends xmms2-client-nycli.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 21 Feb 2010 17:48:01 +0100

xmms2 (0.6DrMattDestruction-8) unstable; urgency=low

  * debian/patches/fix-upstream-bug-2307.patch: Let PulseAudio take care
    of the initial volume (Closes: #565924).
  * debian/patches/vorbis-picture-support.patch: Add support for
    METADATA_BLOCK_PICTURE in Vorbis plugin (Closes: #565479).
  * Switch to debhelper v7.
  * Replace dh_clean -k by dh_prep
  * Add ${misc:Depends} to xmms2-icon package.
  * Fix spelling error in xmms2-ripper manpage.
  * Fix spelling mistake in xmms2-mdns-avahi manpage.
  * Drop topgit; use quilt directly to manage patches.
  * Use DEP-3 header for all patches.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 20 Jan 2010 21:36:21 +0100

xmms2 (0.6DrMattDestruction-7) unstable; urgency=low

  * Add sh4 to supported architecture list for xmms2-plugin-alsa
    (Closes: #561910).
  * Switch to 3.0 (quilt) source format.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 22 Dec 2009 16:24:17 +0100

xmms2 (0.6DrMattDestruction-6) unstable; urgency=low

  * Let libxmmsclient++-dev depend on a versioned libboost-signals-dev
    package to avoid issues like bug #554496.
  * Fix weak-library-dev-dependency.
  * Build-Depends on libavcodec-dev on all architectures (Closes: #546974).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 08 Nov 2009 17:09:27 +0100

xmms2 (0.6DrMattDestruction-5) unstable; urgency=low

  * Build depend on libreadline-dev rather than libreadline5-dev.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 13 Sep 2009 20:15:34 +0200

xmms2 (0.6DrMattDestruction-4) unstable; urgency=low

  * Make xmms2-launcher more smart and silent. All non error output is now
    turned off unless you run xmms2-launcher with the --verbose switch;
    thanks Adam Flott for the patch (Closes: #510375).
  * Bump Standards-Version to 3.8.3 (no changes required).
  * Allow uploads done by Debian Maintainers.
  * xmms2 add respects now the common Unix convention for output verbosity;
    thanks Jan Braun for the patch (Closes: #510374).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 26 Aug 2009 01:21:21 +0200

xmms2 (0.6DrMattDestruction-3) unstable; urgency=high

  * xmms2-icon conflicts & replaces older xmms2-core (Closes: #540138).
  * debian/rules: Wrap long line.
  * Remove Thomas Jollans <thomas@jollans.com> from Uploaders.
  * xmms2-core conflicts with incompatible client libraries and the client
    libraries break incompatible xmms2-core versions (Closes: #537747).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 06 Aug 2009 14:54:38 +0200

xmms2 (0.6DrMattDestruction-2) unstable; urgency=low

  [ Benjamin Drung ]
  * debian/control:
    + Move libxmmsclient-ruby* from section interpreters to ruby.
    + Break Uploaders and add myself.
    + Sort Build-Depends and Depends.
    + Bump Standards-Version to 3.8.2.
    + Do not build depend on python, depending on python-all-dev is enough.
    + Add generic description to extended description, which were too short.
    + Remove transitional xmms2-plugin-wma package from xmms2-plugin-all.
    + Fix typo and upper and lower case.
    + Add lpia to xmms2-plugin-alsa supported architectures.
    + Add quilt to Build-Depends.
  * debian/rules:
    + Don't refer to python2.[45] in clean; expand from PYVERS instead.
    + Remove unused clean1 target.
  * debian/python-xmmsclient.install: Wildcard out the need for 2.[45] or
    site-packages references.
  * Move icons into new xmms2-icon package.
  * Add debian/watch file.
  * Remove debian/*.lintian-overrides, they are not longer necessary.
  * Install changelog file.
  * Escape minus signes in nycli and xmms2-launcher man page.
  * Add debian/*.symbols files, except for libxmmsclient++3, because it does
    not work reliable.
  * Use topgit and quilt to track patches.
  * Correct spelling errors found by Lintian.
  * Fix binary-or-shlib-defines-rpath Lintian warning.
  * Wrote manual page for xmms2-find-avahi, xmms2-libvisual,
    xmms2-mlib-updater, xmms2-ripper.

  [ Ryan Niebur ]
  * regenerate the symbols files correctly this time (I gave Benjamin
    incorrect instructions the first time)
  * add -c4 to the dpkg-gensymbols options so that it will error out
    when there are symbol changes

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 05 Jul 2009 20:24:28 +0200

xmms2 (0.6DrMattDestruction-1) unstable; urgency=low

  * New upstream release.
    + Uses the new libmpcdec API (Closes: #476373).
    + Remove xmms2-plugin-lastfm. It didn't work anymore after
      last.fm changed how their streaming works.
    + Add xmms2-client-nycli.
    + Add xmms2-client-vis.
    + Add xmms2-plugin-flv.
    + Add xmms2-plugin-html.
    + Add xmms2-plugin-apefile.
    + Add xmms2-plugin-tta.
    + Add xmms2-plugin-mpg123.
    + Add xmms2-plugin-wavpack.
    + Rename library packages to reflect SONAME changes.
    + Cherry-pick 70acd4e3 to fix perl module installation paths.
  * Acknowledge NMU. Thanks Adeodato.
  * Fix typo Replaces (Closes: 489521).

 -- Florian Ragwitz <rafl@debian.org>  Sat, 02 May 2009 08:31:32 +0200

xmms2 (0.5DrLecter-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing includes and changed location of ffmpeg headers.
    Patch by peter green and Cyril Brulebois. (Closes: #517464)

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 10 Mar 2009 15:02:58 +0000

xmms2 (0.5DrLecter-2) unstable; urgency=medium

  * Make wma playback work with the latest libavcodec.
    + Cherry-pick fae1d0: Move ALAC hack from avcodec to mp4 to make
      avcodec more general.
    + Cherry-pick be6f8e: Fix wma file playing with newer libavcodec.

 -- Florian Ragwitz <rafl@debian.org>  Wed, 02 Jul 2008 14:44:40 +0200

xmms2 (0.5DrLecter-1) unstable; urgency=low

  * New upstream release.
    + Remove the xmms2-plugin-gnomevfs package. The plugin has been
      removed upstream.
    + Remove the xmms2-plugin-avformat package. xmms2-plugin-asf replaces
      it.
    + Add xmms2-plugin-karaoke.
    + Add xmms2-plugin-airplay.
    + Add xmms2-plugin-speex.
    + Add xmms2-plugin-gme.
    + Add xmms2-plugin-gvfs.
    + Rename library packages to reflect SONAME changes.
  * Bump Standards-Version to 3.8.0 (no changes required).
  * Update COPYING and debian/copyright.
    + Cherry-pick 615391: Add license for src/plugin/sid/md5.* to COPYING.
    + Cherry-pick 58a583: Mention the GPLed faad plugin in COPYING.

 -- Florian Ragwitz <rafl@debian.org>  Sun, 22 Jun 2008 12:53:18 +0200

xmms2 (0.4DrKosmos-4) unstable; urgency=low

  * Make all packages that ship pkg-config files depend on pkg-config.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 21 Apr 2008 13:10:36 +0200

xmms2 (0.4DrKosmos-3) unstable; urgency=low

  * Add the Homepage field to debian/control.
  * Don't link xmmsapi.so against libpython (Closes: #472314).
    + Patch by Anders Waldenborg.
  * Link the replaygain plugin against libm (Closes: #473693).
    + Cherry-picked patch 6c845c32 by Anders Waldenborg.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 25 Feb 2008 15:55:49 +0100

xmms2 (0.4DrKosmos-2) unstable; urgency=low

  [ Anders Waldenborg ]
  * Replace build-dep on libraw1394-dev and libdc1394-dev
    with libavcodec-dev (Closes: #465832).
  * Backport 0.4DrKosmos-47-g2dd188f
    + Fix possible race condition causing segfault (Closes: #463415).
  * Make .install files for plugins uniform.

  [ Deng Xiyue ]
  * Wrap all fields in debian/control to make it more readable and easier
    to patch.
  * Added ${misc:Depends} and ${shlibs:Depends} to the "Depends:" fields
    of all packages, which of the former is recommended, and the latter
    will be useful when -dev comtains a binary or it'll have no effect,
    which seems a safe bet.
  * Replace build-dep fftw3-dev with libfftw3-dev.
  * Remove libxmmsclient++0.install, libxmmsclient-glib0.install,
    libxmmsclient0.install, and libxmmsclient++-glib0.install as they are
    not parts of xmms2 any more.

 -- Anders Waldenborg <anders@0x63.nu>  Sat, 23 Feb 2008 12:27:27 +0100

xmms2 (0.4DrKosmos-1) unstable; urgency=low

  [ Florian Ragwitz ]
  * New upstream release (Closes: #457734).
    + Binds playlist_current_pos to Ruby (Closes: #450541).
    + daap DWIM/error reporting improved (Closes: #460707).
    + support for newer pyrex (Closes: #461040).
    + Fix NAME section of manpages (Closes: #463017).
  * Explicitly disable the mac plugin (Closes: #447927).
  * Fix bad curl dependency (Closes: #427261).
  * Remove obsolete patches.
  * Call waf with --nocache.
  * Install the xmms2 logos.
  * Add packages for the asf, pulse and normalize plugins.
  * Fix debian/NEWS syntax.
  * Update package names to reflect SONAME changes.
  * Build the python bindings for both 2.4 and 2.5 (Closes: #445409).
  * Encode debian/copyright with utf-8.
  * Update Standards-Version to 3.7.3 (no changes).

  [ Anders Waldenborg ]
  * Add Vcs-* fields to control.
  * Add asf, normalize and pulse to xmms2-plugin-all
  * Change xmms2-plugin-avcodec to recommend xmms2-plugin-asf
  * Make xmms2-plugin-curl recommend xmms2-plugin-icymetaint and
    xmms2-plugin-mad (Closes: #454072)
  * Add Python-Version fields.
  * Don't enforce GLib minor version,
    backported from xmms2-devel (Closes: #443082)
  * Remove dpatch stuff as we now use git.

 -- Florian Ragwitz <rafl@debian.org>  Sat, 09 Feb 2008 21:55:10 +0100

xmms2 (0.2DrJekyll-4) unstable; urgency=low

  * Explicitally compile all of sid plugin with -fPIC (Closes: #429869).
  * Remove broken sid patch: 15_pic.

 -- Thomas Jollans <thomas@jollans.com>  Thu, 21 Jun 2007 17:07:01 +0200

xmms2 (0.2DrJekyll-3) unstable; urgency=low

  * Don't dump core on fatal errors (Closes: #419998).
  * Make waf generate uncolored output.
  * Use ${binary:Version} instead of ${Source-Version}.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 18 Jun 2007 16:30:02 +0200

xmms2 (0.2DrJekyll-2) unstable; urgency=low

  [ Thomas Jollans ]
  * Fixed sid plugin compile on amd64 (Closes: #426382).

  [ Florian Ragwitz ]
  * Add Thomas Jollans as a Co-Maintainer.
  * Run waf in verbose mode.
  * python-xmmsclient isn't a dummy package anymore (Closes: #420773).
  * Rebuild against latest libflac (Closes: #426675).

 -- Florian Ragwitz <rafl@debian.org>  Sun, 17 Jun 2007 21:54:53 +0200

xmms2 (0.2DrJekyll-1) unstable; urgency=low

  * New upstream release.
    + Fix path to the mlib-updater executable (Closes: #410991).
    + Allow import of playlist files (Closes: #399883).
    + Introduce a playback toggle command (Closes: #406424).
    + Introduce relative volume command (Closes: #409914).
    + Document the insert* commands (Closes: #409919).
    + Don't require a channel for setting the volume (Closes: #409915).
    + Continue playback after clear+add (Closes: #409918).
    + Add new packages:
      - libaudio-xmmsclient-perl
      - xmms2-plugin-xml
      - xmms2-plugin-rss
      - xmms2-plugin-xspf
      - xmms2-plugin-ofa
      - xmms2-plugin-avformat
      - xmms2-plugin-avcodec
    + Make xmms2-plugin-wma a transitional package. wma playback is now
      implemented by the avformat and avcodec plugins.
  * Support gnukfreebsd (Closes: #416345).
    + Loosen dependencies to linux-only packages.
    + Make the xmms2 package depend on the -oss output plugin on gnukfreebsd.
  * Change XB-Python-Version to XS-Python-Version.
  * Add a xmms2-plugin-all metapackage depending on all available plugins.
  * Install some lintian and linda overrides.
  * Add a dpatch to fix boost_signals detection.
  * Replace typo XB-Python... with XS-Python in debian/control.

 -- Florian Ragwitz <rafl@debian.org>  Mon,  2 Apr 2007 15:31:28 +0200

xmms2 (0.2DrHouse-2) unstable; urgency=low

  * Add xmms2-plugin-ao.
    + Add build-dependency on libao-dev.

 -- Florian Ragwitz <rafl@debian.org>  Mon,  4 Dec 2006 13:50:11 +0100

xmms2 (0.2DrHouse-1) unstable; urgency=low

  [ Jonne Lehtinen ]
  * Let libxmmsclient++-glib-dev depend on libxmmsclient-glib-dev.

  [ Florian Ragwitz ]
  * New upstream release
  * Remove 10manpages.dpatch because it has been integrated upstream.
  * Add packages for new plugins: lastfm, lastfmeta, vocoder.
  * Build-Depend on fftw3-dev and libsamplerate-dev for the vocoder plugin.
  * Add Jonne Lehtinen as a co-maintainer.
  * scons EXCLUDE dns_sd to prevent an FTBFS bug when both avahi and
    avahi-compat-dns_sd are installed.

 -- Florian Ragwitz <rafl@debian.org>  Mon,  4 Dec 2006 12:07:11 +0100

xmms2 (0.2DrGonzo-4) unstable; urgency=low

  * Build the faad plugin (Closes: #399339). Patch by
    Marcus Obst <marcus.obst@s2003.tu-chemnitz.de>.

 -- Florian Ragwitz <rafl@debian.org>  Sun, 19 Nov 2006 18:58:54 +0100

xmms2 (0.2DrGonzo-3) unstable; urgency=low

  * Add Jens Taprogge as a co-maintainer.
  * Let libxmmsclient-dev depend on xmms2-dev.
  * Let libxmmsclient++-dev depend on libboost-signals-dev.

 -- Florian Ragwitz <rafl@debian.org>  Sun, 12 Nov 2006 21:55:15 +0100

xmms2 (0.2DrGonzo-2) unstable; urgency=low

  * Fix Description for the modplug plugin (Closes: #395549).
  * Fix dependencies between the various -dev packages.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 30 Oct 2006 14:30:21 +0100

xmms2 (0.2DrGonzo-1) unstable; urgency=low

  * New upstream release.
    + Loosen up runtime glib version check a bit (Closes: #388844).
    + Includes a manpage for xmms2-launcher (Closes: #384478).
  * Added package for the ices plugin.
    + Add a build dependency to libshout-dev.
  * Added package for the daap plugin.

 -- Florian Ragwitz <rafl@debian.org>  Fri, 29 Sep 2006 05:34:39 +0200

xmms2 (0.2DrFeelgood-6) unstable; urgency=low

  * Change xmms2-output-alsa to xmms2-plugin-alsa. This was a typo I
    introduced with the last upload.

 -- Florian Ragwitz <rafl@debian.org>  Mon,  4 Sep 2006 04:53:17 +0200

xmms2 (0.2DrFeelgood-5) unstable; urgency=low

  * Removed circular dependencies between -core and -output-* as described
    here: http://lists.debian.org/debian-devel/2005/11/msg01101.html
    (Closes: #384672).
  * Added 30_manpage_typos.dpatch (Closes: #385411, #385412).
  * Better description for xmms2-client-medialib-updater (Closes: #384597).

 -- Florian Ragwitz <rafl@debian.org>  Sat,  2 Sep 2006 16:35:13 +0200

xmms2 (0.2DrFeelgood-4) unstable; urgency=low

  * Build-depend on libraw1394-dev and libdc1394-dev (Closes: #384434).

 -- Florian Ragwitz <rafl@debian.org>  Thu, 24 Aug 2006 14:17:43 +0200

xmms2 (0.2DrFeelgood-3) unstable; urgency=low

  * Move the nulstripper plugin into -core.
  * Let the meta package depend on the id3v2 plugin.
  * Add Enhances relations to all plugin packages.
  * Make the mad plugin suggest the idv3 plugin.
  * Let the curl plugin suggest the icymetaint plugin.
  * Let the icymetaint plugin depend on the curl plugin.
  * Add 10_default_configfile.dpatch which uses g_mkdir_with_parents() instead
    of mkdir() to create the cli clients config directory (Closes: #383721).
  * Add 20_uninitialized_gerrors.dpatch which initializes all GError pointers
    with NULL to avoid glib errors (Closes: #383268).
  * Add a dpatch build-dependency as well as build rules to use dpatch.

 -- Florian Ragwitz <rafl@debian.org>  Tue, 22 Aug 2006 16:17:46 +0200

xmms2 (0.2DrFeelgood-2) unstable; urgency=low

  * Properly depend on python and python-dev.
  * Set XS-Python-Version to 2.4.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 14 Aug 2006 21:46:07 +0200

xmms2 (0.2DrFeelgood-1) unstable; urgency=low

  * Initial release (Closes: #325709).

 -- Florian Ragwitz <rafl@debian.org>  Tue, 18 Jul 2006 12:51:36 +0200
openSUSE Build Service is sponsored by